NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Layout2d::NewComponentBuilder Class Reference

Represents a Builder for New 2D Component functionality which will create an empty 2D Component instance and stores its definition in the local 2D Component folder
To create a new instance of this class, use NXOpen::Layout2d::ComponentCollection::CreateNewComponentBuilder

Created in NX10.0.0. More...

Inheritance diagram for NXOpen::Layout2d::NewComponentBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::NXObjectOwner ()
 Returns the owner to create the 2D Component, can be either a drawing sheet, a drawing view a sketch or a 2D Component. More...
 
void SetOwner (NXOpen::NXObject *owner)
 Sets the owner to create the 2D Component, can be either a drawing sheet, a drawing view a sketch or a 2D Component. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Builder for New 2D Component functionality which will create an empty 2D Component instance and stores its definition in the local 2D Component folder
To create a new instance of this class, use NXOpen::Layout2d::ComponentCollection::CreateNewComponentBuilder

Created in NX10.0.0.


Member Function Documentation

NXOpen::NXObject* NXOpen::Layout2d::NewComponentBuilder::Owner ( )

Returns the owner to create the 2D Component, can be either a drawing sheet, a drawing view a sketch or a 2D Component.


Created in NX10.0.0.

License requirements : None

void NXOpen::Layout2d::NewComponentBuilder::SetOwner ( NXOpen::NXObject owner)

Sets the owner to create the 2D Component, can be either a drawing sheet, a drawing view a sketch or a 2D Component.


Created in NX10.0.0.

License requirements : nx_layout ("NX Layout")

Parameters
ownerowner

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.